itlists

Members
  • Posts

    102
  • Joined

  • Last visited

Recent Profile Visitors

The recent visitors block is disabled and is not being shown to other users.

itlists's Achievements

Apprentice

Apprentice (3/14)

0

Reputation

  1. No idea what Shinobi is... maybe there's been an update to Transmission_VPN container. I removed it and haven't tried it for a few weeks.
  2. Another question... I picked up a Dell R720 server. This has an internal USB port. Can this be used for booting the unRaid USB stick?
  3. Updated Transmission_VPN container today and now its in a boot loop. Can't see the log because the log window closes immediately due to the restart. How can I figure out what's causing the issue? Or is there way to rollback to previous version? Was working fine until the upgrade. Thanks
  4. Very true! I haven't bought the server yet; once in possession, the H710 will be flashed to IT mode first before migrating the drives over. Your comment brings up another question: the current workstation has a different HBA card, don't remember what model it is; unRaid says "Broadcom / LSI SAS2008 PCI-Express Fusion-MPT SAS-2 [Falcon] (rev 03)" Will there be any issue with changing to the H710 in IT mode?
  5. I think the H710 mini is 'built-in' but it can be flashed to IT mode, so should be ok? Any issues or concerns to watch out for?
  6. Hi all, Loving unRaid for the past few years! Its been running on a home brew workstation, with following drives: 2 SSD cache, 2 parity, and 4 storage. I'm considering migrating to a Dell R720 server with H710 mini (can be flashed to IT). Can I 'lift-and-shift' the drives from the workstation over to the Dell without data loss or obvious/known issues? Thanks!
  7. Just did another update today and still the same error on login page... haven't changed anything. config.php has correct settings for db
  8. Disabling the CF proxy defeats the purpose of the service Is there a way to force a renewal? If possible to force a renewal, then I could disable the cloudflare proxy temporarily and push the LE renewal.
  9. Here's the log file attached Seems to be an issue with how the proxy feature of cloudflare works. Need to disable that to get the LE challenge to complete. Once that's done, re-enabling the cloudflare proxy and all is good.
  10. Hi, I'm trying to create a new proxy host but keep getting the error below. I've created the CNAME record already for my domain. I have created three other proxy hosts in the past, maybe about 6-9 months ago and this is the first new one since. [11/1/2020] [9:52:45 AM] [Nginx ] › ℹ info Reloading Nginx [11/1/2020] [9:52:45 AM] [SSL ] › ℹ info Requesting Let'sEncrypt certificates for Cert #28: recipes.customdomain.com [11/1/2020] [9:52:50 AM] [Nginx ] › ℹ info Reloading Nginx [11/1/2020] [9:52:50 AM] [Express ] › ⚠ warning Command failed: /usr/bin/certbot certonly --non-interactive --config "/etc/letsencrypt.ini" --cert-name "npm-28" --agree-tos --email "email@customdomain.com" --preferred-challenges "dns,http" --domains "recipes.customdomain.com" Saving debug log to /var/log/letsencrypt/letsencrypt.log Plugins selected: Authenticator webroot, Installer None Obtaining a new certificate Performing the following challenges: http-01 challenge for recipes.customdomain.com Using the webroot path /config/letsencrypt-acme-challenge for all unmatched domains. Waiting for verification... Challenge failed for domain recipes.customdomain.com http-01 challenge for recipes.customdomain.com Cleaning up challenges Some challenges have failed.
  11. I checked and the settings are correct. I didn't make any changes to DB or config, only did the container upgrade. In the meantime, is there a way to extract the feeds from console / cli?
  12. The grant statement is correct. Looks like it needs the DB root/admin account credentials. Will try with that next Using the root credentials worked. I can login to recipes docker now. However, in System settings, the database warning still shows up: Database Info This application is not running with a Postgres database backend. This is ok but not recommended as some features only work with postgres databases. This is setup to use postgres, so why?
  13. Start up log: Updating database Operations to perform: Apply all migrations: admin, auth, authtoken, contenttypes, cookbook, sessions Running migrations: Traceback (most recent call last): File "/opt/recipes/venv/lib/python3.8/site-packages/django/db/backends/utils.py", line 84, in _execute return self.cursor.execute(sql, params) psycopg2.errors.InsufficientPrivilege: permission denied to create extension "pg_trgm" HINT: Must be superuser to create this extension. The above exception was the direct cause of the following exception: Traceback (most recent call last): File "manage.py", line 15, in <module> execute_from_command_line(sys.argv) File "/opt/recipes/venv/lib/python3.8/site-packages/django/core/management/__init__.py", line 401, in execute_from_command_line utility.execute() File "/opt/recipes/venv/lib/python3.8/site-packages/django/core/management/__init__.py", line 395, in execute self.fetch_command(subcommand).run_from_argv(self.argv) File "/opt/recipes/venv/lib/python3.8/site-packages/django/core/management/base.py", line 330, in run_from_argv self.execute(*args, **cmd_options) File "/opt/recipes/venv/lib/python3.8/site-packages/django/core/management/base.py", line 371, in execute output = self.handle(*args, **options) File "/opt/recipes/venv/lib/python3.8/site-packages/django/core/management/base.py", line 85, in wrapped res = handle_func(*args, **kwargs) File "/opt/recipes/venv/lib/python3.8/site-packages/django/core/management/commands/migrate.py", line 243, in handle post_migrate_state = executor.migrate( File "/opt/recipes/venv/lib/python3.8/site-packages/django/db/migrations/executor.py", line 117, in migrate state = self._migrate_all_forwards(state, plan, full_plan, fake=fake, fake_initial=fake_initial) File "/opt/recipes/venv/lib/python3.8/site-packages/django/db/migrations/executor.py", line 147, in _migrate_all_forwards state = self.apply_migration(state, migration, fake=fake, fake_initial=fake_initial) File "/opt/recipes/venv/lib/python3.8/site-packages/django/db/migrations/executor.py", line 227, in apply_migration state = migration.apply(state, schema_editor) File "/opt/recipes/venv/lib/python3.8/site-packages/django/db/migrations/migration.py", line 124, in apply operation.database_forwards(self.app_label, schema_editor, old_state, project_state) File "/opt/recipes/venv/lib/python3.8/site-packages/django/contrib/postgres/operations.py", line 24, in database_forwards schema_editor.execute("CREATE EXTENSION IF NOT EXISTS %s" % schema_editor.quote_name(self.name)) File "/opt/recipes/venv/lib/python3.8/site-packages/django/db/backends/base/schema.py", line 142, in execute cursor.execute(sql, params) File "/opt/recipes/venv/lib/python3.8/site-packages/django/db/backends/utils.py", line 66, in execute return self._execute_with_wrappers(sql, params, many=False, executor=self._execute) File "/opt/recipes/venv/lib/python3.8/site-packages/django/db/backends/utils.py", line 75, in _execute_with_wrappers return executor(sql, params, many, context) File "/opt/recipes/venv/lib/python3.8/site-packages/django/db/backends/utils.py", line 84, in _execute return self.cursor.execute(sql, params) File "/opt/recipes/venv/lib/python3.8/site-packages/django/db/utils.py", line 90, in __exit__ raise dj_exc_value.with_traceback(traceback) from exc_value File "/opt/recipes/venv/lib/python3.8/site-packages/django/db/backends/utils.py", line 84, in _execute return self.cursor.execute(sql, params) django.db.utils.ProgrammingError: permission denied to create extension "pg_trgm" HINT: Must be superuser to create this extension. Applying cookbook.0003_enable_pgtrm... 0 static files copied to '/opt/recipes/staticfiles', 675 unmodified, 1300 post-processed. Done [2020-10-28 20:16:53 +0000] [1] [INFO] Starting gunicorn 20.0.4 [2020-10-28 20:16:53 +0000] [1] [INFO] Listening at: http://0.0.0.0:8080 (1) [2020-10-28 20:16:53 +0000] [1] [INFO] Using worker: sync [2020-10-28 20:16:53 +0000] [12] [INFO] Booting worker with pid: 12
  14. Got this installed with PostgreSQL container as well. However, when connecting to the webui, I get Server Error (500) on http://192.168.x.x:8154/setup/ I see that the tables have been created in db.